{% extends 'NRMPariwarAdminBundle::layout.html.twig' %}

  {% block content %}
      <style>


          #myFile {
              min-height: 150px;
              width: 100%;
              border: 2px dashed #0087F7;
              border-radius: 5px;
              background: white;
              padding: 20px;
          }

          #myFile .dz-message {
              text-align: center;
              margin: 2em 0;
          }

          .ability-dropzone, .ability-dropzone * {
              box-sizing: border-box;
          }

          .ability-dropzone img{
              width: 80px;
              height: 80px;
          }
          .ability-dropzone {
              min-height: 150px;
              border: 2px solid rgba(0, 0, 0, 0.3);
              background: white;
              padding: 20px 20px;
          }

          .ability-dropzone.dz-clickable {
              cursor: pointer;
          }

          .ability-dropzone.dz-clickable * {
              cursor: default;
          }

          .ability-dropzone.dz-clickable .dz-message, .ability-dropzone.dz-clickable .dz-message * {
              cursor: pointer;
          }

          .ability-dropzone.dz-started .dz-message {
              display: none;
          }
          .dz-preview.dz-image-preview {
              display: inline-block;
              margin-left: 30px;
              margin-top: 30px;
          }
          .dz-success-mark,.dz-error-mark,.dz-filename{
              display: none;

          }
      </style>
      {{ form_start(form) }}

      <div class="container">
          <div class="row">
              <div class="box box-default">
                  <div class="box-header with-border">
                      <h1 class="box-title">Add New Magazine</h1>
                  </div>
                  <div class="box-body">
                      <div class="col-md-7">
                          <div class="box box-default">
                              <div class="box-body">
                                  <div class="form-group">
                                      <label>{{form_label(form.title)}}</label>
                                      {{form_widget(form.title)}}
                                      <span class="text-danger">{{form_widget(form.title)}}</span>
                                  </div>

                                  <div class="form-group">
                                      <label>{{form_label(form.alias)}}</label>
                                      {{form_widget(form.alias)}}
                                      <span class="text-danger">{{form_widget(form.alias)}}</span>
                                  </div>

                                  <div class="form-group" id ="imageBundle">

                                  </div>
                                  <div class="col-md-12">

                                      <h4 class="panel-title"><strong>Add Magazine Photos(Serially)</strong></h4>

                                      <div class="panel-body">

                                          <div id="myFile" class="dropzone ability-dropzone" style= " width:100%; height:100%; border:1px dashed black">
                                              <div  class="dz-default dz-message">
                                                    <span>Drop files here to upload</span>
                                              </div>

                                          </div>
                                      </div>
                                  </div>
                                  <div class="form-group" id ="removedImages">
                                  </div>

                                  {#<div class="form-group">#}
                                      {#<label>{{form_label(form.attachments)}}</label>#}
                                      {#{{form_widget(form.attachments)}}#}
                                      {#<span class="text-danger">{{form_widget(form.attachments)}}</span>#}
                                  {#</div>#}

                              </div>
                          </div>
                      </div>

                      <div class="col-md-4">
                          <div class="box box-default">
                              <div class="box-body">
                                  <div class="form-group">
                                      <label>{{form_label(form.createdBy)}}</label>
                                      {{form_widget(form.createdBy)}}
                                      <span class="text-danger">{{form_widget(form.createdBy)}}</span>
                                  </div>
                                  <div class="form-group">
                                      <label>{{form_label(form.category)}}</label>
                                      {{form_widget(form.category)}}
                                      <span class="text-danger">{{form_widget(form.category )}}</span>
                                  </div>

                                  <div class="form-group">
                                      <label>{{form_label(form.created)}}</label>
                                      {{form_widget(form.created)}}
                                      <span class="text-danger">{{form_widget(form.created)}}</span>
                                  </div>

                                  <div class="form-group">
                                      <div>
                                              <img id="preview" src="#" width="70%" alt=" " />
                                      </div>
                                      <label>{{form_label(form.previewImage)}}</label>
                                      {{form_widget(form.previewImage)}}
                                      <span class="text-danger">{{form_widget(form.previewImage)}}</span>
                                  </div>


                                  <div class="form-group">
                                      <div class="col-md-6">
                                          <label>{{form_label(form.save)}}</label>
                                          {{form_widget(form.save)}}
                                          <span class="text-danger">{{form_widget(form.save)}}</span>
                                      </div>
                                  </div>
                                  <div class="clearfix"></div>
                              </div>
                          </div>
                      </div>
                  </div>
              </div>
          </div>
      </div>
      {{ form_end(form,{'render_rest':false}) }}

  {% endblock content %}


{% block scripts %}

    <!-- Dropzone -->
    <script  src="{{ asset('bundles/nrmpariwaradmin/dropzone/dropzone.js') }}"></script>

    <script>
        function readURL(input) {
            if (input.files && input.files[0]) {
                var reader = new FileReader();

                reader.onload = function (e) {
                    $('#preview').attr('src', e.target.result);
                };

                reader.readAsDataURL(input.files[0]);
            }
        }
        $("#magazine_previewImage").change(function(){
            readURL(this);
        });
    </script>
    <script>
        var currentDate = new Date();
        $('.createdDate').val(currentDate);

        jQuery(document).ready(function () {
            var newsImages = {{ images|json_encode|raw }};
//            console.log(newsImages);

            Dropzone.autoDiscover = false;

            var myDrop = new Dropzone("#myFile", {
                url:"{{ url('nrm_pariwar_magazine_ajax_add')}}",
                autoProcessQueue: false,
                uploadMultiple: true,
                addRemoveLinks: true,
                dictRemoveFile:'Remove file',
                dictDefaultMessage: "Drop files here to upload",
                maxFiles: 200,
                maxFilesize: 500,
                maxThumbnailFilesize:200,
                thumbnailWidth: 80,
                thumbnailHeight: 80,
                parallelUploads: 200,
                acceptedFiles: ".jpg, .png, .gif, .jpeg, .tif",
                dictFileTooBig: "File is too big. Max filesize: 256MiB.",
                dictInvalidFileType: "You can't upload files of this type.",
                paramName:'someParameter[dated]'
            });
            myDrop.on('sending', function(file, xhr, formData){
                formData.append('someParameter[dated]', "{{ form.created.vars.value|date('Y_M_d') }}" );
            });


            if (newsImages.length > 0) {
                newsImages.forEach(function (image) {
                    var mock = {name: image.name, size: image.size};
                    myDrop.emit("addedfile", mock);
                    myDrop.emit("thumbnail", mock, decodeURI(image.thumbnail));
                    myDrop.emit("complete", mock);
                });
                myDrop.options.maxFiles = myDrop.options.maxFiles - newsImages.length;
            }



            $('#magazine_save').on('click',function (e) {
                e.preventDefault();
                e.stopPropagation();
                myDrop.processQueue();
                $(this).unbind('click').submit();
            });


            myDrop.on("success",function (file,res) {
                console.log(myDrop.url);

                if(this.getUploadingFiles().length === 0 && this.getQueuedFiles().length === 0){
                    console.log(res.okay);
                    console.log(JSON.stringify(res));
                    console.log(JSON.stringify(file));
                    console.log(res.status);

                    $("#imageBundle").html(res.files);
                }

            }).on('removedfile', function (e) {
                console.log(e);
                $("#removedImages").append("<input type='hidden' name='removeImage[]' value='" + e.name + "' />");

            });

            myDrop.on("error",function (file,res) {
                console.log('error');
                console.log(JSON.stringify(res));

            });
        });
    </script>

{% endblock scripts %}